# NaNoGenMo 2020

## Install

````
$ python3 -m venv venv
$ . venv/bin/activate
(venv) $ pip install -r requirements.txt
(venv) $ python -m spacy download en_core_web_sm
````

## markov.py

Generate a novel using Markov chains.

### Usage

````
(venv) $ python markov.py -h
usage: markov.py [-h] [-s SEED] input [input ...]

Generate a novel using Markov chains.

positional arguments:
  input                 used to construct Markov transition matrix

optional arguments:
  -h, --help            show this help message and exit
  -s SEED, --seed SEED  seed for random number generator
  ````